Skip to main content
GET
/
application
/
{applicationId}
/
commit
List last commits
curl --request GET \
  --url https://api.qovery.com/application/{applicationId}/commit \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "git_commit_id": "<string>",
      "tag": "v2.1.1",
      "message": "<string>",
      "author_name": "<string>",
      "author_avatar_url": "<string>",
      "commit_page_url": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

applicationId
string<uuid>
required

Application ID

Query Parameters

startId
string<uuid>

Starting point after which to return results

gitCommitId
string<uuid>

Git Commit ID

Response

List commits

results
(object | null)[]